<?php
    if (!defined("ROOT_PATH")) {
        header("HTTP/1.1 403 Forbidden");
        exit;
    }

    class pjRequestModel extends pjAppModel
    {
        /**
         * The name of table's primary key. If PK is over 2 or more columns set this to boolean null
         *
         * @var string
         * @access public
         */
        var $primaryKey = 'id';

        /**
         * The name of table associate with current model
         *
         * @var string
         * @access protected
         */
        var $table = 'requests';

        /**
         * Table schema
         *
         * @var array
         * @access protected
         */
        protected $schema = array(
            array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
            array('name' => 'location_id', 'type' => 'int', 'default' => ':NULL'),
            array('name' => 'type_id', 'type' => 'int', 'default' => ':NULL'),
            array('name' => 'date_from', 'type' => 'date', 'default' => ':NULL'),
            array('name' => 'date_to', 'type' => 'date', 'default' => ':NULL'),
            array('name' => 'type_on_request', 'type' => 'smallint', 'default' => '1')
        );

        protected $validate = array();

        public $i18n = array();

        public static function factory($attr = array())
        {
            return new self($attr);
        }
    }

?>